clang 10.0.0git

Public Member Functions | List of all members
clang::GreaterThanIsOperatorScope Class Reference

RAII object that makes '>' behave either as an operator or as the closing angle bracket for a template argument list. More...

`#include "clang/Parse/RAIIObjectsForParser.h"`

Inheritance diagram for clang::GreaterThanIsOperatorScope:
[legend]

## Public Member Functions
| GreaterThanIsOperatorScope (bool &GTIO, bool Val)
| ~GreaterThanIsOperatorScope ()

## Detailed Description

RAII object that makes '>' behave either as an operator or as the closing angle bracket for a template argument list.

Definition at line 311 of file RAIIObjectsForParser.h.

## Constructor & Destructor Documentation

## ◆ GreaterThanIsOperatorScope()

clang::GreaterThanIsOperatorScope::GreaterThanIsOperatorScope | ( | bool & | GTIO,
|  | bool | Val
| ) |  |
| inline

Definition at line 315 of file RAIIObjectsForParser.h.

## ◆ ~GreaterThanIsOperatorScope()

clang::GreaterThanIsOperatorScope::~GreaterThanIsOperatorScope | ( |  | ) |
| inline

Definition at line 320 of file RAIIObjectsForParser.h.

The documentation for this class was generated from the following file:

- include/clang/Parse/RAIIObjectsForParser.h